# Enum Class EllipsoidToCentricTransform.TargetType

Object
Enum<EllipsoidToCentricTransform.TargetType>
TargetType

All Implemented Interfaces:
  `Serializable`, `Comparable<EllipsoidToCentricTransform​.TargetType>`, `Constable`

Enclosing class:
  `EllipsoidToCentricTransform`

public static enum EllipsoidToCentricTransform.TargetType extends Enum<EllipsoidToCentricTransform.TargetType>
Whether the output coordinate system is Cartesian or spherical.

Since:
  0.7

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CARTESIAN`
  Indicates conversions from ellipsoidal to Cartesian coordinate system.
  `SPHERICAL`
  Indicates conversions from ellipsoidal to spherical coordinate system.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EllipsoidToCentricTransform​.TargetType`
  `of(Class<? extends CoordinateSystem> csType)`
  Returns the enumeration value for the given type of coordinate system.
  `static EllipsoidToCentricTransform​.TargetType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EllipsoidToCentricTransform​.TargetType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CARTESIAN

    public static final EllipsoidToCentricTransform.TargetType CARTESIAN
    Indicates conversions from ellipsoidal to Cartesian coordinate system. Axis order is:
    - Geocentric X (toward prime meridian)
    - Geocentric Y (toward 90° east)
    - Geocentric Z (toward north pole)
    See Also:
      - `EllipsoidalCS`
      - `CartesianCS`

  - ### SPHERICAL

    public static final EllipsoidToCentricTransform.TargetType SPHERICAL
    Indicates conversions from ellipsoidal to spherical coordinate system. Axis order is as below (note that this is not the convention used neither in physics (ISO 80000-2:2009) or in mathematics).
    - Spherical longitude (θ), also noted Ω or λ.
    - Spherical latitude (Ω), also noted θ or φ′.
    - Spherical radius (R).
    The spherical latitude is related to geodetic latitude φ by Ω(φ) = atan((1-ℯ²)⋅tan(φ)).
    Since:
      1.5
    See Also:
      - `EllipsoidalCS`
      - `SphericalCS`

- ## Method Details

  - ### values

    public static EllipsoidToCentricTransform.TargetType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EllipsoidToCentricTransform.TargetType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static EllipsoidToCentricTransform.TargetType of(Class<? extends CoordinateSystem> csType)
    Returns the enumeration value for the given type of coordinate system. The `cs` argument should be `CartesianCS​.class`, `SphericalCS​.class` or a subclass of those types.
    Parameters:
      `csType` - the coordinate system type.
    Returns:
      enumeration value associated to the given type.
    Throws:
      `IllegalArgumentException` - if the given `csType` is not one of the above-documented types.
    Since:
      1.5